MooseX::SemiAffordanceAccessor::Role::Attribute(3)

NAME
MooseX::SemiAffordanceAccessor::Role::Attribute - This meta trait is applied to attributes in order to change writer names

VERSION
version 0.10

SYNOPSIS

DESCRIPTION
This role applies a method modifier to the "_process_options()" method, and tweaks the reader and writer parameters so that they follow the semi-affordance naming style.

  Moose::Util::MetaRole::apply_metaclass_roles(
      for_class => $p{for_class},
      attribute_metaclass_roles =>
          ['MooseX::SemiAffordanceAccessor::Role::Attribute'],
  );

AUTHOR
Dave Rolsky <autarch@urth.org>

COPYRIGHT AND LICENSE
This software is Copyright (c) 2011 by Dave Rolsky.

This is free software, licensed under:

  The Artistic License 2.0 (GPL Compatible)